Browse Source

Merge "Update environment files for Q upgrade and ffwd upgrade" into stable/queens

changes/26/560426/2
Zuul 3 years ago
committed by Gerrit Code Review
parent
commit
29a5ad58ae
  1. 10
      environments/lifecycle/ffwd-upgrade-converge.yaml
  2. 14
      environments/lifecycle/ffwd-upgrade-prepare.yaml
  3. 9
      environments/lifecycle/upgrade-converge.yaml
  4. 9
      environments/lifecycle/upgrade-prepare.yaml
  5. 15
      environments/major-upgrade-composable-steps.yaml
  6. 12
      environments/major-upgrade-converge-docker.yaml
  7. 11
      environments/major-upgrade-converge.yaml

10
environments/lifecycle/ffwd-upgrade-converge.yaml

@ -0,0 +1,10 @@
# Environment file used in the last step of a ffwd overcloud upgrade.
# This file is required by the tripleoclient and not expected to be updated
# by the operator. Please use additional -e env.yaml.
resource_registry:
OS::TripleO::SoftwareDeployment: OS::Heat::StructuredDeployment
OS::TripleO::DeploymentSteps: OS::Heat::StructuredDeploymentGroup
OS::Heat::SoftwareDeployment: OS::TripleO::Heat::SoftwareDeployment
OS::Heat::StructuredDeployment: OS::TripleO::Heat::StructuredDeployment
parameter_defaults:
StackUpdateType: ''

14
environments/fast-forward-upgrade.yaml → environments/lifecycle/ffwd-upgrade-prepare.yaml

@ -1,6 +1,6 @@
# NOTE(lyarwood): Required as these services were deprecated in O and then
# removed in P but will still be present in the initial N Overcloud stack at
# the start of a fast-forward upgrade.
# Environment file used in the first step of a ffwd overcloud upgrade.
# This file is required by the tripleoclient and not expected to be updated
# by the operator. Please use additional -e env.yaml.
resource_registry:
OS::TripleO::Services::Core: OS::Heat::None
OS::TripleO::Services::GlanceRegistry: OS::Heat::None
@ -13,6 +13,12 @@ resource_registry:
OS::TripleO::Services::CephMds: OS::Heat::None
OS::TripleO::Services::CephRbdMirror: OS::Heat::None
OS::TripleO::Services::CephRgw: OS::Heat::None
# Set the config-download environment for the stack update:
OS::TripleO::SoftwareDeployment: ../../config-download-structured.yaml
OS::Heat::SoftwareDeployment: ../../config-download-software.yaml
OS::Heat::StructuredDeployment: ../../config-download-structured.yaml
OS::TripleO::DeploymentSteps: OS::Heat::None
OS::TripleO::Ssh::KnownHostsDeployment: OS::Heat::None
OS::TripleO::Ssh::HostPubKey: OS::Heat::None
parameter_defaults:
StackUpdateType: FASTFORWARDUPGRADE

9
environments/lifecycle/upgrade-converge.yaml

@ -0,0 +1,9 @@
# Environment file used in the last step of an overcloud upgrade.
# This file is required by the tripleoclient and not expected to be updated
# by the operator. Please use additional -e env.yaml.
resource_registry:
OS::TripleO::DeploymentSteps: OS::Heat::StructuredDeploymentGroup
parameter_defaults:
UpgradeLevelNovaCompute: ''
UpgradeInitCommonCommand: ''
UpgradeInitCommand: ''

9
environments/major-upgrade-composable-steps-docker.yaml → environments/lifecycle/upgrade-prepare.yaml

@ -1,17 +1,18 @@
# Environment file used in the first step of an overcloud upgrade.
# This file is required by the tripleoclient and not expected to be updated
# by the operator. Please use additional -e env.yaml.
resource_registry:
OS::TripleO::DeploymentSteps: OS::Heat::None
OS::TripleO::Tasks::*PreConfig: OS::Heat::None
OS::TripleO::Tasks::*PostConfig: OS::Heat::None
parameter_defaults:
EnableConfigPurge: false
StackUpdateType: UPGRADE
UpgradeLevelNovaCompute: auto
UpgradeInitCommonCommand: |
#!/bin/bash
set -eu
# Pike to Queens, put any needed host-level workarounds here
yum install -y python-heat-agent-*
yum update -y ansible
yum install -y ansible-pacemaker
# Remove the element os-net-config config.json https://bugs.launchpad.net/tripleo/+bug/1758161/
rm /usr/libexec/os-apply-config/templates/etc/os-net-config/config.json || true
MigrationSshPort: 22
UpgradeRemoveUnusedPackages: false

15
environments/major-upgrade-composable-steps.yaml

@ -1,15 +0,0 @@
#DEPRECATED: This environment file was last used for upgrades to stable/pike.
parameter_defaults:
EnableConfigPurge: true
StackUpdateType: UPGRADE
UpgradeLevelNovaCompute: auto
UpgradeInitCommonCommand: |
#!/bin/bash
set -eu
yum install -y python-heat-agent-*
yum update -y ansible
yum install -y ansible-pacemaker
# Remove the element os-net-config config.json https://bugs.launchpad.net/tripleo/+bug/1758161/
rm /usr/libexec/os-apply-config/templates/etc/os-net-config/config.json || true
MigrationSshPort: 22
UpgradeRemoveUnusedPackages: false

12
environments/major-upgrade-converge-docker.yaml

@ -1,12 +0,0 @@
# Use this to reset any mappings only used for upgrades after the
# update of all nodes is completed
resource_registry:
OS::TripleO::PostDeploySteps: ../common/post.yaml
parameter_defaults:
EnableConfigPurge: false
StackUpdateType: ''
UpgradeLevelNovaCompute: ''
UpgradeInitCommonCommand: ''
UpgradeInitCommand: ''
MigrationSshPort: 2022
CephAnsiblePlaybook: /usr/share/ceph-ansible/infrastructure-playbooks/rolling_update.yml

11
environments/major-upgrade-converge.yaml

@ -1,11 +0,0 @@
# Use this to reset any mappings only used for upgrades after the
# update of all nodes is completed
resource_registry:
OS::TripleO::PostDeploySteps: ../common/post.yaml
parameter_defaults:
EnableConfigPurge: false
StackUpdateType: ''
UpgradeLevelNovaCompute: ''
UpgradeInitCommonCommand: ''
UpgradeInitCommand: ''
MigrationSshPort: 2022
Loading…
Cancel
Save